<form [formGroup]="loginForm" class="login_form">
  <h1 mat-dialog-title>
    Авторизація
  </h1>
  <span class="change_form_link" (click)="showRegistrationForm()">
    Реєстація
  </span>
  <div mat-dialog-content class="login_form_content">
    <mat-form-field class="form_field">
        <input matInput type="email" email placeholder="E-mail" formControlName="email" [errorStateMatcher]="inputErrorStateMatcher">
        <mat-hint>
          Введіть e-mail
        </mat-hint>
        <mat-error *ngIf="loginForm.get('email').hasError('email') && !loginForm.hasError('required')">
          Будь ласка, введіть правильний e-mail
        </mat-error>
        <mat-error *ngIf="loginForm.get('email').hasError('required')">
          Поле 'e-mail' <strong>обов'язкове</strong>
        </mat-error>
    </mat-form-field>
    <mat-form-field class="form_field">
      <input matInput placeholder="Пароль" type="password" formControlName="password" [errorStateMatcher]="inputErrorStateMatcher">
      <mat-hint>
        Введіть пароль
      </mat-hint>
      <mat-error *ngIf="loginForm.get('password').hasError('required')">
        Поле 'пароль' <strong>обов'язкове</strong>
      </mat-error>
    </mat-form-field>
  </div>
  <div mat-dialog-actions>
    <button mat-button mat-raised-button (click)="login()" color="primary">Увійти</button>
  </div>
</form>
